Page 1 of 2

Upgrade from version 1.5.2.1 to 1.5.6

Posted: Sat Oct 19, 2013 8:58 pm
by syedmuj
Notice: Error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AFTER `price`' at line 1
Error No: 1064
ALTER TABLE `oc_profile` CHANGE `frequency` `frequency` ENUM AFTER `price` in /home/nammtcom/public_html/system/database/mysql.php on line 50

Hi,

While Upgrading from version 1.5.2.1 to 1.5.6
I am getting the above error message.
Kindly suggest.

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Sat Oct 19, 2013 10:46 pm
by cwswebdesign
Upgrade to 1.5.5.1 instead. 1.5.6 is full of bugs.

DL

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Sun Oct 20, 2013 7:20 pm
by Tom Cat
Upgraded from version v1.5.5.1 to 1.5.6

Looked to be working, but had some errors in that I could not see any pictures in my Admin Products pages.
Notice: Use of undefined constant HTTPS_CATALOG - assumed 'HTTPS_CATALOG' in /home/…………./public_html/shop/admin/model/tool/image.php on line 34

I tried to update the paths in config.php but it just made more errors?

Guessed it was a bad install, so uploaded the files again to repeat an install but could not install again. A error occurred:
Notice: Error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AFTER `price`' at line 1
Error No: 1064
ALTER TABLE `yhk_profile` CHANGE `frequency` `frequency` ENUM AFTER `price` in /home/………../public_html/shop/system/database/mysql.php on line 50

I have now asked my host to roll back my files and restore from yesterday, all back working well with v 1.5.4

When will v1.5.6.1 be released with all the bugs fixed please?

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Sun Oct 20, 2013 11:57 pm
by cwswebdesign
Tom Cat wrote:Upgraded from version v1.5.5.1 to 1.5.6

Looked to be working, but had some errors in that I could not see any pictures in my Admin Products pages.
Notice: Use of undefined constant HTTPS_CATALOG - assumed 'HTTPS_CATALOG' in /home/…………./public_html/shop/admin/model/tool/image.php on line 34

I tried to update the paths in config.php but it just made more errors?

Guessed it was a bad install, so uploaded the files again to repeat an install but could not install again. A error occurred:
Notice: Error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AFTER `price`' at line 1
Error No: 1064
ALTER TABLE `yhk_profile` CHANGE `frequency` `frequency` ENUM AFTER `price` in /home/………../public_html/shop/system/database/mysql.php on line 50

I have now asked my host to roll back my files and restore from yesterday, all back working well with v 1.5.4

When will v1.5.6.1 be released with all the bugs fixed please?
Not sure when 1.5.6.1 will be released but if you don't need the amazon and Paypal payments modules, go with 1.5.5.1 and you'll have a solid setup with all of the other great features.

DL

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Mon Oct 21, 2013 5:18 am
by Tom Cat
Apologies, I upgraded from v 1.5.4 to 1.5.6.

The reason for doing this was to gain the PayPal Express Checkout payments module.

But yes I will upgrade to 1.5.5.1 as soon as I can.

Thank you for your help.

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Mon Oct 21, 2013 6:33 am
by cwswebdesign
Tom Cat wrote:Apologies, I upgraded from v 1.5.4 to 1.5.6.

The reason for doing this was to gain the PayPal Express Checkout payments module.

But yes I will upgrade to 1.5.5.1 as soon as I can.

Thank you for your help.
Can you run the install script one more time? Also, are you checking it with the default theme or with your custom theme and various modules in place? It's possible a theme or other modules are giving you issues.

DL

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Fri Oct 25, 2013 12:06 am
by Tom Cat
I don't want to try again at the moment, but I have updated my other OC website which I use a test site. This site updated to the 1.5.6 version with no problems and the PayPal Express Checkout is set up and works great.

I run both sites without any mods or templates and keep them as close to the original as possible. The only difference between the two sites is one is on a UK server and the test website is on a US server.

The only issue I have with the 1.5.6 update is that I run this as a Downloads only website and the PayPal Express Checkout button does not show until the customer signs up with an account and has a product in the shopping cart, if the cart is emptied the PayPal button disappears?

Its most strange, I know OC insists on an account being set up for 'Download' goods, but why would it disappear when you empty your cart?

Any ideas?

Many thanks
Al.

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Fri Oct 25, 2013 12:28 am
by cwswebdesign
I don't use the extension but more than likely, the button disappears because there's nothing to purchase when the cart is empty.

Hopefully someone else will chime in.

DL

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Sun Jan 26, 2014 11:50 pm
by Tom Cat
OC released version v1.5.6.1 so I updated my test site from v1.5.5.1 and it works well.
The PayPal Express button and payment module works fine now without error.

I assumed all the bugs had been fixed now so I went to update my other website I had problems with last time and it did not install properly.

Error:
Notice: Use of undefined constant HTTPS_CATALOG - assumed 'HTTPS_CATALOG' in /home/kenwoodc/public_html/shop/admin/model/tool/image.php on line 34

No images show in my Admin products.

I am waiting for my hosts to restore my old shop, but can't understand why it upgrades fine on the US host but not the UK host?

Is there any feedback on successful install or problems?

Many thanks

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Mon Jan 27, 2014 12:16 am
by cwswebdesign
Tom Cat wrote:OC released version v1.5.6.1 so I updated my test site from v1.5.5.1 and it works well.
The PayPal Express button and payment module works fine now without error.

I assumed all the bugs had been fixed now so I went to update my other website I had problems with last time and it did not install properly.

Error:
Notice: Use of undefined constant HTTPS_CATALOG - assumed 'HTTPS_CATALOG' in /home/kenwoodc/public_html/shop/admin/model/tool/image.php on line 34

No images show in my Admin products.

I am waiting for my hosts to restore my old shop, but can't understand why it upgrades fine on the US host but not the UK host?

Is there any feedback on successful install or problems?

Many thanks
Look in both of your config files and make sure that HTTP_CATALOG is defined in both config files (near the top). Nothing should have changed during the upgrade but anything is possible.

DL

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Mon Jan 27, 2014 3:20 am
by Tom Cat
Ok thank you.
Now I know how to restore my own back ups from the server I will have another go.

When I ran a 2nd upgrade over the first a configmod file was created?

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Mon Jan 27, 2014 4:48 pm
by Tom Cat
Since I restored my website back on to the server yesterday I get lots of error reporting? But it is still working.

2014-01-26 18:32:54 - PHP Notice: Error: Can't find FULLTEXT index matching the column list<br />Error No: 1191<br />SELECT COUNT(DISTINCT p.product_id) AS total FROM yhk_product p LEFT JOIN yhk_product_description pd ON (p.product_id = pd.product_id) LEFT JOIN yhk_product_to_store p2s ON (p.product_id = p2s.product_id) WHERE pd.language_id = '1' AND p.status = '1' AND p.date_available <= NOW() AND p2s.store_id = '0' AND (LCASE(pd.name) LIKE '%bowl%' OR MATCH(pd.tag) AGAINST('bowl')) OR LCASE(p.model) = 'bowl' OR LCASE(p.sku) = 'bowl' OR LCASE(p.upc) = 'bowl' OR LCASE(p.ean) = 'bowl' OR LCASE(p.jan) = 'bowl' OR LCASE(p.isbn) = 'bowl' OR LCASE(p.mpn) = 'bowl' in /home/kenwoodc/public_html/shop/system/database/mysql.php on line 49

2014-01-26 21:44:16 - PHP Notice: Error: Table 'kenwoodc_KCRShop.yhk_customer_ip_blacklist' doesn't exist<br />Error No: 1146<br />SELECT * FROM `yhk_customer_ip_blacklist` WHERE ip = '46.64.145.72' in /home/kenwoodc/public_html/shop/system/database/mysql.php on line 49

Is it possible to do a new install and just copy my files folders across and attach my database?

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Mon Jan 27, 2014 10:40 pm
by cwswebdesign
Tom Cat wrote:Since I restored my website back on to the server yesterday I get lots of error reporting? But it is still working.

2014-01-26 18:32:54 - PHP Notice: Error: Can't find FULLTEXT index matching the column list<br />Error No: 1191<br />SELECT COUNT(DISTINCT p.product_id) AS total FROM yhk_product p LEFT JOIN yhk_product_description pd ON (p.product_id = pd.product_id) LEFT JOIN yhk_product_to_store p2s ON (p.product_id = p2s.product_id) WHERE pd.language_id = '1' AND p.status = '1' AND p.date_available <= NOW() AND p2s.store_id = '0' AND (LCASE(pd.name) LIKE '%bowl%' OR MATCH(pd.tag) AGAINST('bowl')) OR LCASE(p.model) = 'bowl' OR LCASE(p.sku) = 'bowl' OR LCASE(p.upc) = 'bowl' OR LCASE(p.ean) = 'bowl' OR LCASE(p.jan) = 'bowl' OR LCASE(p.isbn) = 'bowl' OR LCASE(p.mpn) = 'bowl' in /home/kenwoodc/public_html/shop/system/database/mysql.php on line 49

2014-01-26 21:44:16 - PHP Notice: Error: Table 'kenwoodc_KCRShop.yhk_customer_ip_blacklist' doesn't exist<br />Error No: 1146<br />SELECT * FROM `yhk_customer_ip_blacklist` WHERE ip = '46.64.145.72' in /home/kenwoodc/public_html/shop/system/database/mysql.php on line 49

Is it possible to do a new install and just copy my files folders across and attach my database?
The system is looking for this table: Table 'kenwoodc_KCRShop.yhk_customer_ip_blacklist' doesn't exist and it's not in your database.

You can install the files for the exact same version and setup the config files yourself (don't run the install script) but you'll also have to go through every mod and customization that you had.

Do this on a TEST subfolder or subdomain first.

DL

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Tue Jan 28, 2014 4:08 am
by Tom Cat
OK thank you!

So it is not really OC that has not installed correctly it is perhaps the database which is corrupt?

It all worked well before I did the update. I just understood this latest OC release was a bug fix of the previous version and it happily installed on my USA website without fail. But my UK OC website didn't upgrade.

I have asked my hosting site to roll back my OC site and data base to a known working point, I just hope it works.

I will take your advice and install a test site of 1.5.6.1 and get it working before trying again.

Many thanks for your help and advice.

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Tue Jan 28, 2014 4:44 am
by cwswebdesign
Tom Cat wrote:OK thank you!

So it is not really OC that has not installed correctly it is perhaps the database which is corrupt?

It all worked well before I did the update. I just understood this latest OC release was a bug fix of the previous version and it happily installed on my USA website without fail. But my UK OC website didn't upgrade.

I have asked my hosting site to roll back my OC site and data base to a known working point, I just hope it works.

I will take your advice and install a test site of 1.5.6.1 and get it working before trying again.

Many thanks for your help and advice.
As long as you do this on a test subfolder/site, you won't set yourself back any further other than the time you put into it. Copy your working database and import it into a new database so you're not over writing the one that works.

It kind of sounds like the installer didn't run completely. Did the server time out at all?

DL

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Tue Jan 28, 2014 7:36 pm
by Tom Cat
Thank you for keeping with me on this.

OK my host has got my shop up and running again, a bit out of date but no worries.

The only errors I get now is:

2014-01-27 23:16:26 - PHP Notice: Undefined index: last_order_id in /home/kenwoodc/public_html/shop/catalog/controller/checkout/success.php on line 68

But it is working, so I have no choice except continue with this?


I will try a the test install see what happens.
The sever did not time out.

I notice my host has softaculous to install OC, is that a good option to go with, looks like it will install updates aswell?

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Tue Jan 28, 2014 9:20 pm
by cwswebdesign
Tom Cat wrote:Thank you for keeping with me on this.

OK my host has got my shop up and running again, a bit out of date but no worries.

The only errors I get now is:

2014-01-27 23:16:26 - PHP Notice: Undefined index: last_order_id in /home/kenwoodc/public_html/shop/catalog/controller/checkout/success.php on line 68

But it is working, so I have no choice except continue with this?


I will try a the test install see what happens.
The sever did not time out.

I notice my host has softaculous to install OC, is that a good option to go with, looks like it will install updates aswell?
I would recommend not using Softaculous to keep your site updated. With all of the customizations and data, it's better to manually take care of it all.

The error you point out is minor and will not break the operation of your store. Give the test install a try with the new database (new name with the same content imported into it) and see how that goes.

DL

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Sun Feb 02, 2014 12:18 am
by Tom Cat
I installed OC v1.5.6.1 successfully with a new database but in no way could I either copy the DB correctly without errors or import to a new DB without errors? Confused about SQL and SQLi also?

I have now deleted the website and data base and carried out a fresh install and fresh database.
It works fine as a OC install, but obviously I would like to get the data from my other website to run on this website.

I am learning a lot, but it is just not happening?

Are you able to advise where the DB’s are stored on most hosting sites so I can just take a copy and restore by ftp for speed if necessary?

Many thanks

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Wed Feb 05, 2014 8:04 pm
by Tom Cat
Ok, copied the database successfully and it shows up in my Admin area, all my customers and all my products.
Unfortunately with no product pictures? And in the Shopfront it still shows the default Opencart shop with electronic gadgets.

I thought this was supposed to be easy?

Re: Upgrade from version 1.5.2.1 to 1.5.6

Posted: Thu Feb 06, 2014 12:14 am
by cwswebdesign
Tom Cat wrote:Ok, copied the database successfully and it shows up in my Admin area, all my customers and all my products.
Unfortunately with no product pictures? And in the Shopfront it still shows the default Opencart shop with electronic gadgets.

I thought this was supposed to be easy?
Did you copy over your existing /image/ folder to your new install? Also, did you upload your custom theme?

DL